<%@ Page Language="C#" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %> 

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Centered RadToolBar within RadSplitter</title>
    
    <style type="text/css"> 
        body, html, form
        {  
            height: 100%;  
            width: 100%;  
            overflow: hidden;  
            padding: 0; margin: 0;  
        }  
        
        /* the following styles center the whole toolbar */
        
        /* this id depends on the id of the container RadPane */
        #RAD_SPLITTER_PANE_CONTENT_RadPaneHeader 
        {
            text-align: center;
        }
        
        * html div.CenteredToolBar { display: inline; }
        *+html div.CenteredToolBar { display: inline; }
        
        div.CenteredToolBar
        {
            float: none;
            display: -moz-inline-block;
            display: inline-block;
        }
        
        * html div.CenteredToolBar { display: inline; }
        *+html div.CenteredToolBar { display: inline; }
        
        /* the following styles center only the buttons */
        /*
        div.CenteredToolBar
        {
            float: none;
            text-align: center;
        }
        
        div.CenteredToolBar .rtbUL
        {
            display: inline-block;
            margin: 0 auto;
        }
        */
    </style> 
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="ScriptManager1" runat="server" /> 
        
        <telerik:RadSplitter runat="server" ID="RadSplitterMain" Width="100%" Height="100%" Orientation="horizontal">
            <telerik:RadPane ID="RadPaneHeader" runat="server" Height="40px">
                <telerik:RadToolBar runat="server" ID="RadToolBar1" CssClass="CenteredToolBar">
                    <Items>
                        <telerik:RadToolBarButton Text="Theta" />
                        <telerik:RadToolBarButton Text="Epsylon" />
                        <telerik:RadToolBarButton Text="Lambda" />
                        <telerik:RadToolBarDropDown Text="Epsylon">
                            <Buttons>
                                <telerik:RadToolBarButton Text="Rho" />
                                <telerik:RadToolBarButton Text="Iota" />
                                <telerik:RadToolBarButton Text="Kappa" />
                            </Buttons>
                        </telerik:RadToolBarDropDown>
                    </Items>
                </telerik:RadToolBar>
            </telerik:RadPane>
            <telerik:RadPane ID="RadPaneContent" runat="server">
            </telerik:RadPane>
        </telerik:RadSplitter>
    </form>
</body>
</html>
